package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrOverhaulValve;

/**
 * 检修项目-阀门Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrOverhaulValveService 
{
    /**
     * 查询检修项目-阀门
     * 
     * @param id 检修项目-阀门ID
     * @return 检修项目-阀门
     */
    public TPssrOverhaulValve selectTPssrOverhaulValveById(Long id);

    /**
     * 查询检修项目-阀门列表
     * 
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 检修项目-阀门集合
     */
    public List<TPssrOverhaulValve> selectTPssrOverhaulValveList(TPssrOverhaulValve tPssrOverhaulValve);

    /**
     * 新增检修项目-阀门
     * 
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 结果
     */
    public int insertTPssrOverhaulValve(TPssrOverhaulValve tPssrOverhaulValve);

    /**
     * 修改检修项目-阀门
     * 
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 结果
     */
    public int updateTPssrOverhaulValve(TPssrOverhaulValve tPssrOverhaulValve);
    public int updateAllBySubId(TPssrOverhaulValve tPssrOverhaulValve);

    /**
     * 批量删除检修项目-阀门
     * 
     * @param ids 需要删除的检修项目-阀门ID
     * @return 结果
     */
    public int deleteTPssrOverhaulValveByIds(Long[] ids);

    /**
     * 删除检修项目-阀门信息
     * 
     * @param id 检修项目-阀门ID
     * @return 结果
     */
    public int deleteTPssrOverhaulValveById(Long id);
}
